AdMob Version Upgrade

Are there plans to upgrade Google’s AdMob version? I started receiving this banner on the AdMob dashboard:

Some of your iOS apps require a GMA SDK update To keep ads serving normally and minimize a loss in ad revenue, implement the GMA SDK 7.64.0 (or later) for your iOS apps. And configure the SKAdNetwork in your apps with Google’s network ID.

Currently it appears expo-ads-admob uses version 7.55.1.

3 Likes

Yes, I’d like to know this too as I have the same message in Admob!

1 Like

There are other libraries available, such as react-native-admob-native-ads, however this wouldn’t work in the managed flow. I’m not super familiar with iOS development but I’d be happy to help by either updating the managed version and testing or switching to a different project, depending on if anyone from expo has a suggested path forward for this.

Please this is urgent, iOS apps are not showing admob ads

Looks like the good people are working on it now: Update to latest AdMob iOS SDK iOS 14.5 (#11934) by SethuSenthil · Pull Request #12033 · expo/expo · GitHub

1 Like